Skip to main content
GET
/
data
/
places
/
{id}
Get details of a specific place
curl --request GET \
  --url https://api.staging.rovemiles.com/functions/v1/data/places/{id} \
  --header 'Authorization: Bearer <token>'
{
  "placeId": "ChIJu1K2erNv5kcR6HyzBQieKJ0",
  "displayName": "Rome",
  "formattedAddress": "75017 París, Francia",
  "types": [
    "subway_station",
    "transit_station",
    "point_of_interest",
    "establishment"
  ],
  "language": "en",
  "geometry": {
    "location": {
      "lat": 48.8847,
      "lng": 2.3231
    }
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Path Parameters

id
string
required

The unique identifier of the place

Response

Successfully retrieved place details

placeId
string
required

Unique identifier for the place

displayName
string
required

Human-readable name of the place

types
string[]
required

Categories the place belongs to

formattedAddress
string

Human-readable address of the place

language
string

Language code for the returned result

Pattern: ^[a-z]{2}(-[A-Z]{2})?$
geometry
object

Geographical coordinates of the place